Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.objects.listelements
Class ListElement

    java.lang.Object
      com.ejie.r01f.objects.listelements.ListElement

All Implemented Interfaces:
  java.io.Serializable

public class ListElement
extends java.lang.Object
implements java.io.Serializable

Clase que modela un elemento de una lista (código y descripción). Normalmente se utilizará dentro de un vector que contiene el código y descripción de elementos resultado de una consulta en una base de datos. Fecha de creación: (19/7/00 11:57:14)

See Also:
  Serialized Form

Constructor Summary
`ListElement(java.lang.String newCodigo, java.lang.Object newData)` Constructor CListElement.

Method Summary
`java.lang.String` | `getCode()` Devuelve el código.
`java.lang.Object` | `getData()` Devuelve la descripción.
`void` | `setCode(java.lang.String newCode)` Devuelve el código.
`void` | `setData(java.lang.Object newData)` Establece la descripción.
`java.lang.String` | `toString()` Devuelve la representación en forma de cadena del objeto

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListElement

    public ListElement(java.lang.String newCodigo,
                       java.lang.Object newData)
                throws java.lang.IllegalArgumentException

  Constructor CListElement.

Method Detail

### getCode

    public java.lang.String getCode()

  Devuelve el código.

  Returns:
    String

### getData

    public java.lang.Object getData()

  Devuelve la descripción.

  Returns:
    Object

### setCode

    public void setCode(java.lang.String newCode)
                 throws java.lang.IllegalArgumentException

  Devuelve el código.

  Parameters:
    `newCode` -
  Throws:
    `java.lang.IllegalArgumentException`

### setData

    public void setData(java.lang.Object newData)
                 throws java.lang.IllegalArgumentException

  Establece la descripción.

  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Devuelve la representación en forma de cadena del objeto

  Returns:
    java.lang.String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD